//
// MainPage.xaml.h
// Declaration of the MainPage class.
//

#pragma once

#include "MainPage.g.h"

namespace ShootingGame
{
	/// <summary>
	/// An empty page that can be used on its own or navigated to within a Frame.
	/// </summary>
	public ref class MainPage sealed
	{
	public:
		MainPage();
    Windows::UI::Xaml::Controls::SwapChainBackgroundPanel^ MainPage::SwapChainBackgroundPanel()
    {
      return DXSwapChainPanel;
    }
		void UpdateProcessTime(float delta);
		void UpdateFrameTime(float delta,float max,float min,float avg);

	protected:
		virtual void OnNavigatedTo(Windows::UI::Xaml::Navigation::NavigationEventArgs^ e) override;
	};
}
